![Iterable logo](./images/Iterable-Logo.png "Iterable Logo")

[![License](https://img.shields.io/github/license/Iterable/swift-sdk)](https://opensource.org/licenses/MIT)
[![Build Status](https://travis-ci.com/Iterable/swift-sdk.svg?branch=master)](https://travis-ci.com/Iterable/swift-sdk)
[![codecov](https://codecov.io/gh/Iterable/swift-sdk/branch/master/graph/badge.svg)](https://codecov.io/gh/Iterable/swift-sdk)
[![pod](https://img.shields.io/cocoapods/v/Iterable-iOS-SDK)](https://cocoapods.org/pods/Iterable-iOS-SDK)
[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage)

# Iterable's iOS SDK

[Iterable](https://www.iterable.com) is a growth marketing platform that helps
you to create better experiences for—and deeper relationships with—your
customers. Use it to send customized email, SMS, push notification, in-app
message, web push notification campaigns to your customers.

This SDK helps you integrate your iOS apps with Iterable. It supports iOS 9.0+.

## Installation

For installation instructions, read [Iterable's iOS SDK](https://support.iterable.com/hc/articles/360035018152).

## Features

To learn more about various SDK features, read:

- [Identifying the User](https://support.iterable.com/hc/articles/360035402531)
- [Updating User Profiles](https://support.iterable.com/hc/articles/360035402611)
- [Tracking Events](https://support.iterable.com/hc/articles/360035395671)
- [Setting up iOS Push Notifications](https://support.iterable.com/hc/articles/115000315806)
- [Advanced iOS Push Notifications](https://support.iterable.com/hc/articles/360035451931)
- [In-App Messages on iOS](https://support.iterable.com/hc/articles/360035536791)
- [Setting up Mobile Inbox on iOS](https://support.iterable.com/hc/articles/360039137271)
- [Customizing Mobile Inbox on iOS](https://support.iterable.com/hc/articles/360039091471)
- [iOS Universal Links](https://support.iterable.com/hc/articles/360035496511)
- [Deep Links in Push Notifications](https://support.iterable.com/hc/articles/360035453971)
- [Deferred Deep Linking](https://support.iterable.com/hc/articles/360035165872)

## Sample projects

For sample code, take a look at the following projects:

- [Swift](https://github.com/Iterable/swift-sdk/blob/master/sample-apps/swift-sample-app)
- [Objective-C](https://github.com/Iterable/swift-sdk/blob/master/sample-apps/objc-sample-app)
- [Inbox Customization](https://github.com/Iterable/swift-sdk/tree/master/sample-apps/inbox-customization)

## Release notes, support and troubleshooting

Release notes:

- [iOS SDK Release Notes](https://support.iterable.com/hc/articles/360027798391) (major releases)
- [Releases page](https://github.com/Iterable/swift-sdk/releases) on GitHub (minor releases)

Support policies:

- Iterable's [Mobile SDK Support Policy](https://support.iterable.com/hc/articles/360046136171)
- Iterable's [iOS SDK Deprecation and End-of-Life Schedule](https://support.iterable.com/hc/articles/360027798391#deprecation-and-end-of-life-schedule)
- Iterable's [Beta Mobile SDK Terms of Service](https://support.iterable.com/hc/articles/360034753412)

Troubleshooting:

- [Testing and Troubleshooting Iterable's Mobile SDKs](https://support.iterable.com/hc/articles/360035392251)
- [Frequently Asked Questions](https://support.iterable.com/hc/articles/360035624191) 
  for mobile developers integrating with Iterable

Please contact your customer success manager with any questions.

## License

This SDK is released under the MIT License. See [LICENSE](https://github.com/Iterable/swift-sdk/blob/master/LICENSE.md)
for more information.

## Want to contribute?

This library is open source, and we will look at issue reports and pull requests.
See [CONTRIBUTING](CONTRIBUTING.md) for more information.
